<?php
$tdatadepartment=array();
	$tdatadepartment[".NumberOfChars"]=80; 
	$tdatadepartment[".ShortName"]="department";
	$tdatadepartment[".OwnerID"]="";
	$tdatadepartment[".OriginalTable"]="department";


	
//	field labels
$fieldLabelsdepartment = array();
if(mlang_getcurrentlang()=="English")
{
	$fieldLabelsdepartment["English"]=array();
	$fieldToolTipsdepartment["English"]=array();
	$fieldLabelsdepartment["English"]["iddept"] = "Iddept";
	$fieldToolTipsdepartment["English"]["iddept"] = "";
	$fieldLabelsdepartment["English"]["Department"] = "Department";
	$fieldToolTipsdepartment["English"]["Department"] = "";
	$fieldLabelsdepartment["English"]["Description"] = "Description";
	$fieldToolTipsdepartment["English"]["Description"] = "";
	if (count($fieldToolTipsdepartment["English"])){
		$tdatadepartment[".isUseToolTips"]=true;
	}
}


	
	$tdatadepartment[".NCSearch"]=true;

	

$tdatadepartment[".shortTableName"] = "department";
$tdatadepartment[".nSecOptions"] = 0;
$tdatadepartment[".recsPerRowList"] = 1;	
$tdatadepartment[".tableGroupBy"] = "0";
$tdatadepartment[".mainTableOwnerID"] = "";
$tdatadepartment[".moveNext"] = 1;




$tdatadepartment[".showAddInPopup"] = false;

$tdatadepartment[".showEditInPopup"] = false;

$tdatadepartment[".showViewInPopup"] = false;


$tdatadepartment[".fieldsForRegister"] = array();

$tdatadepartment[".listAjax"] = false;

	$tdatadepartment[".audit"] = false;

	$tdatadepartment[".locking"] = false;
	
$tdatadepartment[".listIcons"] = true;
$tdatadepartment[".inlineEdit"] = true;




$tdatadepartment[".showSimpleSearchOptions"] = false;

$tdatadepartment[".showSearchPanel"] = true;


$tdatadepartment[".isUseAjaxSuggest"] = true;

$tdatadepartment[".rowHighlite"] = true;


// button handlers file names

$tdatadepartment[".addPageEvents"] = false;

$tdatadepartment[".arrKeyFields"][] = "iddept";

// use datepicker for search panel
$tdatadepartment[".isUseCalendarForSearch"] = false;

// use timepicker for search panel
$tdatadepartment[".isUseTimeForSearch"] = false;

$tdatadepartment[".isUseiBox"] = false;




$tdatadepartment[".isUseInlineEdit"] = true;
$tdatadepartment[".isUseInlineJs"] = $tdatadepartment[".isUseInlineAdd"] || $tdatadepartment[".isUseInlineEdit"];

$tdatadepartment[".allSearchFields"] = array();

$tdatadepartment[".globSearchFields"][] = "iddept";
// do in this way, because combine functions array_unique and array_merge returns array with keys like 1,2, 4 etc
if (!in_array("iddept", $tdatadepartment[".allSearchFields"]))
{
	$tdatadepartment[".allSearchFields"][] = "iddept";	
}
$tdatadepartment[".globSearchFields"][] = "Department";
// do in this way, because combine functions array_unique and array_merge returns array with keys like 1,2, 4 etc
if (!in_array("Department", $tdatadepartment[".allSearchFields"]))
{
	$tdatadepartment[".allSearchFields"][] = "Department";	
}
$tdatadepartment[".globSearchFields"][] = "Description";
// do in this way, because combine functions array_unique and array_merge returns array with keys like 1,2, 4 etc
if (!in_array("Description", $tdatadepartment[".allSearchFields"]))
{
	$tdatadepartment[".allSearchFields"][] = "Description";	
}


$tdatadepartment[".googleLikeFields"][] = "iddept";
$tdatadepartment[".googleLikeFields"][] = "Department";
$tdatadepartment[".googleLikeFields"][] = "Description";



$tdatadepartment[".advSearchFields"][] = "iddept";
// do in this way, because combine functions array_unique and array_merge returns array with keys like 1,2, 4 etc
if (!in_array("iddept", $tdatadepartment[".allSearchFields"])) 
{
	$tdatadepartment[".allSearchFields"][] = "iddept";	
}
$tdatadepartment[".advSearchFields"][] = "Department";
// do in this way, because combine functions array_unique and array_merge returns array with keys like 1,2, 4 etc
if (!in_array("Department", $tdatadepartment[".allSearchFields"])) 
{
	$tdatadepartment[".allSearchFields"][] = "Department";	
}
$tdatadepartment[".advSearchFields"][] = "Description";
// do in this way, because combine functions array_unique and array_merge returns array with keys like 1,2, 4 etc
if (!in_array("Description", $tdatadepartment[".allSearchFields"])) 
{
	$tdatadepartment[".allSearchFields"][] = "Description";	
}

$tdatadepartment[".isTableType"] = "list";


	

$tdatadepartment[".isDisplayLoading"] = true;

$tdatadepartment[".isResizeColumns"] = false;





$tdatadepartment[".pageSize"] = 20;

$gstrOrderBy = "";
if(strlen($gstrOrderBy) && strtolower(substr($gstrOrderBy,0,8))!="order by")
	$gstrOrderBy = "order by ".$gstrOrderBy;
$tdatadepartment[".strOrderBy"] = $gstrOrderBy;
	
$tdatadepartment[".orderindexes"] = array();

$tdatadepartment[".sqlHead"] = "SELECT iddept,   Department,   Description";
$tdatadepartment[".sqlFrom"] = "FROM department";
$tdatadepartment[".sqlWhereExpr"] = "";
$tdatadepartment[".sqlTail"] = "";




//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdatadepartment[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdatadepartment[".arrGroupsPerPage"] = $arrGPP;

	$tableKeys = array();
	$tableKeys[] = "iddept";
	$tdatadepartment[".Keys"] = $tableKeys;

//	iddept
	$fdata = array();
	$fdata["strName"] = "iddept";
	$fdata["ownerTable"] = "department";
		$fdata["Label"]="Iddept"; 
	
		
		
	$fdata["FieldType"]= 3;
	
		$fdata["AutoInc"]=true;
	
			$fdata["UseiBox"] = false;
	
	$fdata["EditFormat"]= "Text field";
	$fdata["ViewFormat"]= "";
	
		
		
		
		
		$fdata["NeedEncode"]=true;
	
	$fdata["GoodName"]= "iddept";
	
		$fdata["FullName"]= "iddept";
	
		$fdata["IsRequired"]=true; 
	
		
		
		
		
				$fdata["Index"]= 1;
				$fdata["EditParams"]="";
			
		$fdata["bListPage"]=true; 
	
		
		
		
		
		$fdata["bViewPage"]=true; 
	
		$fdata["bAdvancedSearch"]=true; 
	
		$fdata["bPrinterPage"]=true; 
	
		$fdata["bExportPage"]=true; 
	
	//Begin validation
	$fdata["validateAs"] = array();
				$fdata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");	
						$fdata["validateAs"]["basicValidate"][] = "IsRequired";
	
		//End validation
	
				$fdata["FieldPermissions"]=true;
	
		
				
		
		
		
			$tdatadepartment["iddept"]=$fdata;
//	Department
	$fdata = array();
	$fdata["strName"] = "Department";
	$fdata["ownerTable"] = "department";
		
		
		
	$fdata["FieldType"]= 200;
	
		
			$fdata["UseiBox"] = false;
	
	$fdata["EditFormat"]= "Text field";
	$fdata["ViewFormat"]= "";
	
		
		
		
		
		$fdata["NeedEncode"]=true;
	
	$fdata["GoodName"]= "Department";
	
		$fdata["FullName"]= "Department";
	
		
		
		
		
		
				$fdata["Index"]= 2;
				$fdata["EditParams"]="";
			$fdata["EditParams"].= " maxlength=45";
		
		$fdata["bListPage"]=true; 
	
		$fdata["bAddPage"]=true; 
	
		$fdata["bInlineAdd"]=true; 
	
		$fdata["bEditPage"]=true; 
	
		$fdata["bInlineEdit"]=true; 
	
		$fdata["bViewPage"]=true; 
	
		$fdata["bAdvancedSearch"]=true; 
	
		$fdata["bPrinterPage"]=true; 
	
		$fdata["bExportPage"]=true; 
	
	//Begin validation
	$fdata["validateAs"] = array();
		
		//End validation
	
				$fdata["FieldPermissions"]=true;
	
		
				
		
		
		
			$tdatadepartment["Department"]=$fdata;
//	Description
	$fdata = array();
	$fdata["strName"] = "Description";
	$fdata["ownerTable"] = "department";
		
		
		
	$fdata["FieldType"]= 200;
	
		
			$fdata["UseiBox"] = false;
	
	$fdata["EditFormat"]= "Text field";
	$fdata["ViewFormat"]= "";
	
		
		
		
		
		$fdata["NeedEncode"]=true;
	
	$fdata["GoodName"]= "Description";
	
		$fdata["FullName"]= "Description";
	
		
		
		
		
		
				$fdata["Index"]= 3;
				$fdata["EditParams"]="";
			$fdata["EditParams"].= " maxlength=45";
		
		$fdata["bListPage"]=true; 
	
		$fdata["bAddPage"]=true; 
	
		$fdata["bInlineAdd"]=true; 
	
		$fdata["bEditPage"]=true; 
	
		$fdata["bInlineEdit"]=true; 
	
		$fdata["bViewPage"]=true; 
	
		$fdata["bAdvancedSearch"]=true; 
	
		$fdata["bPrinterPage"]=true; 
	
		$fdata["bExportPage"]=true; 
	
	//Begin validation
	$fdata["validateAs"] = array();
		
		//End validation
	
				$fdata["FieldPermissions"]=true;
	
		
				
		
		
		
			$tdatadepartment["Description"]=$fdata;

	
$tables_data["department"]=&$tdatadepartment;
$field_labels["department"] = &$fieldLabelsdepartment;
$fieldToolTips["department"] = &$fieldToolTipsdepartment;

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)
$detailsTablesData["department"] = array();

	
// tables which are master tables for current table (detail)
$masterTablesData["department"] = array();

// -----------------end  prepare master-details data arrays ------------------------------//

require_once(getabspath("classes/sql.php"));










$proto577=array();
$proto577["m_strHead"] = "SELECT";
$proto577["m_strFieldList"] = "iddept,   Department,   Description";
$proto577["m_strFrom"] = "FROM department";
$proto577["m_strWhere"] = "";
$proto577["m_strOrderBy"] = "";
$proto577["m_strTail"] = "";
$proto578=array();
$proto578["m_sql"] = "";
$proto578["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto578["m_column"]=$obj;
$proto578["m_contained"] = array();
$proto578["m_strCase"] = "";
$proto578["m_havingmode"] = "0";
$proto578["m_inBrackets"] = "0";
$proto578["m_useAlias"] = "0";
$obj = new SQLLogicalExpr($proto578);

$proto577["m_where"] = $obj;
$proto580=array();
$proto580["m_sql"] = "";
$proto580["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto580["m_column"]=$obj;
$proto580["m_contained"] = array();
$proto580["m_strCase"] = "";
$proto580["m_havingmode"] = "0";
$proto580["m_inBrackets"] = "0";
$proto580["m_useAlias"] = "0";
$obj = new SQLLogicalExpr($proto580);

$proto577["m_having"] = $obj;
$proto577["m_fieldlist"] = array();
						$proto582=array();
			$obj = new SQLField(array(
	"m_strName" => "iddept",
	"m_strTable" => "department"
));

$proto582["m_expr"]=$obj;
$proto582["m_alias"] = "";
$obj = new SQLFieldListItem($proto582);

$proto577["m_fieldlist"][]=$obj;
						$proto584=array();
			$obj = new SQLField(array(
	"m_strName" => "Department",
	"m_strTable" => "department"
));

$proto584["m_expr"]=$obj;
$proto584["m_alias"] = "";
$obj = new SQLFieldListItem($proto584);

$proto577["m_fieldlist"][]=$obj;
						$proto586=array();
			$obj = new SQLField(array(
	"m_strName" => "Description",
	"m_strTable" => "department"
));

$proto586["m_expr"]=$obj;
$proto586["m_alias"] = "";
$obj = new SQLFieldListItem($proto586);

$proto577["m_fieldlist"][]=$obj;
$proto577["m_fromlist"] = array();
												$proto588=array();
$proto588["m_link"] = "SQLL_MAIN";
			$proto589=array();
$proto589["m_strName"] = "department";
$proto589["m_columns"] = array();
$proto589["m_columns"][] = "iddept";
$proto589["m_columns"][] = "Department";
$proto589["m_columns"][] = "Description";
$obj = new SQLTable($proto589);

$proto588["m_table"] = $obj;
$proto588["m_alias"] = "";
$proto590=array();
$proto590["m_sql"] = "";
$proto590["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto590["m_column"]=$obj;
$proto590["m_contained"] = array();
$proto590["m_strCase"] = "";
$proto590["m_havingmode"] = "0";
$proto590["m_inBrackets"] = "0";
$proto590["m_useAlias"] = "0";
$obj = new SQLLogicalExpr($proto590);

$proto588["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto588);

$proto577["m_fromlist"][]=$obj;
$proto577["m_groupby"] = array();
$proto577["m_orderby"] = array();
$obj = new SQLQuery($proto577);

$queryData_department = $obj;
$tdatadepartment[".sqlquery"] = $queryData_department;

$tableEvents["department"] = new eventsBase;

?>
